Import lots
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-fileimport requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', 'modeina_stages_27.pdf');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nmodeina_stages_27.pdf\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nmodeina_stages_27.pdf\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nmodeina_stages_27.pdf\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nmodeina_stages_27.pdf\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"import": {
"id": 1,
"importer": "lot_list",
"lot_import_status": "awaiting_mapping",
"source_url": null,
"stocklist_filename": null,
"completed": false,
"development_id": 593363170,
"supplier_id": null,
"project_id": null,
"created_at": "2026-09-20T09:31:17.780+10:00",
"updated_at": "2026-09-20T09:31:17.808+10:00"
},
"ready_to_confirm": true,
"creates": "lots only",
"counts": {
"lots": 1,
"errors": 0,
"warnings": 0
},
"stages": [
{
"stage": "Stage 1",
"lots": 1
}
],
"rows": [
{
"row": 1,
"stage": "Stage 1",
"lot": "101",
"street": null,
"land_price": "350000",
"design": null,
"facade": null,
"package_price": null,
"match": "skip",
"status": "success",
"error": null,
"notes": null
}
],
"page": 1,
"has_more": false
}{
"error": "Not found"
}{
"errors": [
"Row 1: lot is required"
]
}Stock / Developments
Import lots
Imports lot rows into the development, or starts parsing a spreadsheet for review.
POST
/
{agency_uid}
/
developments
/
{development_id}
/
lot_imports
Import lots
curl --request POST \
--url https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-fileimport requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', 'modeina_stages_27.pdf');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nmodeina_stages_27.pdf\r\n-----011000010111000001101001--",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: multipart/form-data"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nmodeina_stages_27.pdf\r\n-----011000010111000001101001--")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports")
.header("Authorization", "Bearer <token>")
.body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nmodeina_stages_27.pdf\r\n-----011000010111000001101001--")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/developments/{development_id}/lot_imports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\nmodeina_stages_27.pdf\r\n-----011000010111000001101001--"
response = http.request(request)
puts response.read_body{
"import": {
"id": 1,
"importer": "lot_list",
"lot_import_status": "awaiting_mapping",
"source_url": null,
"stocklist_filename": null,
"completed": false,
"development_id": 593363170,
"supplier_id": null,
"project_id": null,
"created_at": "2026-09-20T09:31:17.780+10:00",
"updated_at": "2026-09-20T09:31:17.808+10:00"
},
"ready_to_confirm": true,
"creates": "lots only",
"counts": {
"lots": 1,
"errors": 0,
"warnings": 0
},
"stages": [
{
"stage": "Stage 1",
"lots": 1
}
],
"rows": [
{
"row": 1,
"stage": "Stage 1",
"lot": "101",
"street": null,
"land_price": "350000",
"design": null,
"facade": null,
"package_price": null,
"match": "skip",
"status": "success",
"error": null,
"notes": null
}
],
"page": 1,
"has_more": false
}{
"error": "Not found"
}{
"errors": [
"Row 1: lot is required"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-dataapplication/json